Subject: bug#20739: 25.0.50; Dired switches have no effect when explicit list of files provided

From: Drew Adams <[email-masked]>
Date: Fri, 5 Jun 2015 07:56:02 -0700 (PDT)

> Isn't this bug#16533?

I don't know, but I don't think so, after reading that bug thread.

FWIW, in my case the same problem holds for Emacs 24.1.  My impression
from the #16533 thread is that that bug was introduced sometime after
24.1 (but that's not clear to me).

The value of `dired-actual-switches' does get changed, in my case.
For example, in the build for which I reported this bug it gets changed
from "-alF" to "-alFt".  And in Emacs 24.1 it gets changed to "-alF -t".

And the mode line indication does change correctly.  But the file order
does not change - the order is still by file name.

Note that the case I reported is where Dired is reporting about an
explicit list of files, i.e., the DIRNAME argument to `dired' is a
cons, e.g., ("the-Dired-buffer-name" FILE1 FILE2...).  The Dired
listing seems to always show the files in the same order as they
appear in this argument, regardless of `dired-actual-switches'.